/*footer {
width: 786px;
font: normal 16px Arial, Helvetica, sans-serif;
padding: 15px 35px;
position: fixed;
bottom: 0;
left: 50%;
margin-left: -420px;
background-color: #1f1f1f;
background-image: -webkit-linear-gradient(top, #1f1f1f, #101010);
background-image: -moz-linear-gradient(top, #1f1f1f, #101010);
background-image: linear-gradient(top, #1f1f1f, #101010);
border-radius: 2px 2px 0 0;
box-shadow: 0 -1px 4px rgba(0,0,0,0.4);
z-index: 1;
text-align: center;
}*/

table.dataTable tr.odd {
  background-color: #E2E4FF;
}

.editableform {
  margin-bottom: 0;
}

.editableform .control-group {
  margin-bottom: 0; 
  white-space: nowrap; 
  line-height: 20px; 
}

.editable-buttons {
 display: inline-block; 
 vertical-align: top;
 margin-left: 7px;
 zoom: 1; 
 *display: inline;
}

.editable-input {
  vertical-align: top; 
  display: inline-block; 
  width: auto; 
  white-space: normal; 
  zoom: 1; 
  *display: inline;   
}

.editable-buttons .editable-cancel {
 margin-left: 7px; 
}

.editable-click, 
a.editable-click, 
a.editable-click:hover {
  text-decoration: none;
  border-bottom: dashed 1px #0088cc;
}

.editable-unsaved {
  font-weight: bold; 
}

.editable-bg-transition {
  -webkit-transition: background-color 1400ms ease-out;
  -moz-transition: background-color 1400ms ease-out;
  -o-transition: background-color 1400ms ease-out;
  -ms-transition: background-color 1400ms ease-out;
  transition: background-color 1400ms ease-out;  
}

/* Progress Circle */
.circle-wrap {
  margin: 20px auto;
  width: 150px;
  height: 150px;
  background: #e6e2e7;
  border-radius: 50%;
}

.circle-wrap .circle .mask,
.circle-wrap .circle .fill,
.circle-wrap .circle .fill-pend,
.circle-wrap .circle .fill-wp,
.circle-wrap .circle .fill-alloc,
.circle-wrap .circle .fill-rep{
  width: 150px;
  height: 150px;
  position: absolute;
  border-radius: 50%;
}

.circle-wrap .circle .mask {
  clip: rect(0px, 150px, 150px, 75px);
}

.circle-wrap .circle .mask .fill {
  clip: rect(0px, 75px, 150px, 0px);
  background-color: #9e00b1;
}

.fill-pend {
  clip: rect(0px, 75px, 150px, 0px);
  background-color: #F44336;
}

.fill-wp {
  clip: rect(0px, 75px, 150px, 0px);
  background-color: #FFEB3B;
}

.fill-alloc {
  clip: rect(0px, 75px, 150px, 0px);
  background-color: #9900FF;
}

.fill-rep {
  clip: rect(0px, 75px, 150px, 0px);
  background-color: #8BC34A;
}


.circle-wrap .circle .mask.full,
.circle-wrap .circle .fill {
  animation: fill ease-in-out 3s;
  transform: rotate(180deg); /*126deg*/
}

.circle-wrap .circle .fill-pend {
  animation: fill ease-in-out 3s;
  transform: rotate(180deg); /*126deg*/
}

.circle-wrap .circle .fill-wp {
  animation: fill ease-in-out 3s;
  transform: rotate(180deg); /*126deg*/
}

.circle-wrap .circle .fill-alloc {
  animation: fill ease-in-out 3s;
  transform: rotate(180deg); /*126deg*/
}

.circle-wrap .circle .fill-rep {
  animation: fill ease-in-out 3s;
  transform: rotate(180deg); /*126deg*/
}

@keyframes fill {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(180deg); /*126deg*/
  }
}

.circle-wrap .inside-circle {
  width: 130px;
  height: 130px;
  border-radius: 50%;
  background: #fff;
  line-height: 130px;
  text-align: center;
  margin-top: 10px; /*10px*/
  margin-left: 10px; /*10px*/
  position: absolute;
  z-index: 100;
  font-weight: 500; /*700*/
  font-size: 3.5em;
}

/*-----------------------Checkbox---------------------*/
/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  /*width: 40px;
  height: 24px;*/
  width: 60px;
  height: 34px;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #737177;
  -webkit-transition: .4s;
  transition: .4s;
}

.slidervip {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #737177;
  -webkit-transition: .4s;
  transition: .4s;
}

.sliderb {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #737177;
  -webkit-transition: .4s;
  transition: .4s;
}
.sliderc {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #737177;
  -webkit-transition: .4s;
  transition: .4s;
}
.sliderd {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #737177;
  -webkit-transition: .4s;
  transition: .4s;
}
.slidere {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #737177;
  -webkit-transition: .4s;
  transition: .4s;
}
.sliderVoid {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #AD3B4C;
  -webkit-transition: .4s;
  transition: .4s;
}

/*------ ADDED CSS ---------*/
.on
{
  display: block;
}

.on
{
  color: #FFF;
  position: absolute;
  transform: translate(-50%,-50%);
  top: 50%;
  left: 25%;
  font-size: 10px;
  font-family: Verdana, sans-serif;
}
.off
{
  color: #FFF;
  position: absolute;
  transform: translate(-50%,-50%);
  top: 50%;
  left: 75%;
  font-size: 10px;
  font-family: Verdana, sans-serif;
}

input:checked+ .slider .on
{display: block;}

input:checked + .slider .off
{display: none;}

/*--------- END --------*/

.slider:before,.slidervip:before,.sliderb:before,.sliderc:before,.sliderd:before,.slidere:before,.sliderVoid:before {
  position: absolute;
  content: "";
 /* height: 24px;
  width: 24px;
  left: 0px;
  bottom: 0px;*/
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider{
  background-color: #337AB7;
}
input:checked + .slidervip{
  background-color: #337AB7;
}
input:checked + .sliderb{
  background-color: #9C67B4;
}
input:checked + .sliderc{
  background-color: #E07A21;
}
input:checked + .sliderd{
  background-color: #46A049;
}
input:checked + .slidere{
  background-color: #D9534F;
}
input:checked + .sliderVoid{
  background-color: #30104F;
}




input:focus + .slider,input:focus + .slidervip, input:focus + .sliderb, input:focus + .sliderc, input:focus + .sliderd, input:focus + .slidere, input:focus + .sliderVoid{
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before,input:checked + .slidervip:before,input:checked + .sliderb:before,input:checked + .sliderc:before,input:checked + .sliderd:before,input:checked + .slidere:before,input:checked + .sliderVoid:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}